[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.IsAParentAligning

Determines if a parent control is involved in the alignment process for the control.

## Declaration

Source position: controls.pp line 1393

`protected function TControl.IsAParentAligning: Boolean;`

## Function result

True if a Parent control is actively aligning its descendent controls.

## Description

The return value is True when a control in the Parent hierarchy has been assigned and has wcfAligningControls in its Window control flags. The return value is False if both conditions are not satisfied.

Remark: | This method is not used in the current LCL implementation.